# Uses of Class
org.eclipse.swt.widgets.ToolItem

Packages that use ToolItem
Package
Description
org.eclipse.swt.widgets

## Uses of ToolItem in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return ToolItem
Modifier and Type
Method
Description
`ToolItem`
ToolBar.`getItem(int index)`
Returns the item at the given, zero-relative index in the receiver.
`ToolItem`
ToolBar.`getItem(Point point)`
Returns the item at the given point in the receiver or null if no such item exists.
`ToolItem[]`
ToolBar.`getItems()`
Returns an array of `ToolItem`s which are the items in the receiver.
Methods in org.eclipse.swt.widgets with parameters of type ToolItem
Modifier and Type
Method
Description
`int`
ToolBar.`indexOf(ToolItem item)`
Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.